local L = LibStub("AceLocale-3.0"):GetLocale("EasyDKP")

-----------------------------
--  Frame functions
-----------------------------

function EasyDKP:CreateChangesFrame()
	self.changesframe = CreateFrame("Frame", "EasyDKPChangesFrame", UIParent)
	self.changesframe:EnableKeyboard(true)
	self.changesframe:EnableMouse(true)
	self.changesframe:SetMovable(true)
	self.changesframe:SetToplevel(true)
	self.changesframe:SetHeight(390)
	self.changesframe:SetWidth(380)
	self.changesframe:SetFrameStrata("DIALOG")
	self.changesframe:SetPoint("CENTER")
	self.changesframe:SetBackdrop({
		bgFile = "Interface/DialogFrame/UI-DialogBox-Background",
		edgeFile= "Interface/DialogFrame/UI-DialogBox-Border",
		tile = true, tileSize = 32, edgeSize = 32,
		insets = { left = 11, right = 12, top = 12, bottom = 11 }
	})
	self.changesframe:SetScript("OnMouseDown", function() self.changesframe:StartMoving() end)
	self.changesframe:SetScript("OnMouseUp", function() self.changesframe:StopMovingOrSizing() end)
	self.changesframe:SetScript("OnDragStop", function() self.changesframe:StopMovingOrSizing() end)

	self.changesframe:SetBackdropColor(0,0,0,1)
	self.changesframe.texture = self.changesframe:CreateTexture("EasyDKPOptionsFrameHeader", "ARTWORK")
	self.changesframe.texture:SetTexture("Interface/DialogFrame/UI-DialogBox-Header")
	self.changesframe.texture:SetHeight(64)
	self.changesframe.texture:SetWidth(350)
	self.changesframe.texture:SetPoint("TOP", 0, 12)
	
	self.changesframe.headertext = self.changesframe:CreateFontString("EasyDKPOptionsTitle", "ARTWORK", "GameFontNormal")
	self.changesframe.headertext:SetPoint("TOP", self.changesframe.texture, "TOP", 0, -14)
	self.changesframe.headertext:SetText("Easy DKP class selection")
end

function EasyDKP:InitialiseChanges()
	self.db.profile.changes = {}
	self.db.profile.changes.count = 0
	if dkp_info then
		self.db.profile.changes.date = dkp_info.date
	else
		self.db.profile.changes.date = "no website date available"
	end
end