local L = LibStub("AceLocale-3.0"):GetLocale("EasyDKP")

-----------------------------
--  Frame functions
-----------------------------

function EasyDKP:CreateClassFrame()
	self.frame = CreateFrame("Frame", "EasyDKPFrame", UIParent)
	self.frame:EnableKeyboard(true)
	self.frame:EnableMouse(true)
	self.frame:SetMovable(true)
	self.frame:SetToplevel(true)
	self.frame:SetHeight(380)
	self.frame:SetWidth(380)
	self.frame:SetFrameStrata("DIALOG")
	self.frame:SetPoint("CENTER")
	self.frame:SetBackdrop({
		bgFile = "Interface/DialogFrame/UI-DialogBox-Background",
		edgeFile= "Interface/DialogFrame/UI-DialogBox-Border",
		tile = true, tileSize = 32, edgeSize = 32,
		insets = { left = 11, right = 12, top = 12, bottom = 11 }
	})
	self.frame:SetScript("OnMouseDown", function() self.frame:StartMoving() end)
	self.frame:SetScript("OnMouseUp", function() self.frame:StopMovingOrSizing() end)
	self.frame:SetScript("OnDragStop", function() self.frame:StopMovingOrSizing() end)

	self.frame:SetBackdropColor(0,0,0,1)
	self.frame.texture = self.frame:CreateTexture("EasyDKPOptionsFrameHeader", "ARTWORK")
	self.frame.texture:SetTexture("Interface/DialogFrame/UI-DialogBox-Header")
	self.frame.texture:SetHeight(64)
	self.frame.texture:SetWidth(350)
	self.frame.texture:SetPoint("TOP", 0, 12)
	
	self.frame.headertext = self.frame:CreateFontString("EasyDKPOptionsTitle", "ARTWORK", "GameFontNormal")
	self.frame.headertext:SetPoint("TOP", self.frame.texture, "TOP", 0, -14)
	self.frame.headertext:SetText("Easy DKP class selection")
	
	self.frame.button = {}
	for i = 1, 10 do
		self.frame.button[i] = self:CreateButton(i)
		self.class[i].ticked = false
	end
	
	self.frame.clothbutton = CreateFrame("Button", "EasyDKPOptionsFrameCloth", self.frame, "OptionsButtonTemplate")
	self.frame.clothbutton:SetHeight(20)
	self.frame.clothbutton:SetWidth(80)
	self.frame.clothbutton:SetPoint("TOPLEFT", 25, -170)
	self.frame.clothbutton:SetText("Cloth")
	self.frame.clothbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = false
			EasyDKP.class[4].ticked = true
			EasyDKP.class[5].ticked = false
			EasyDKP.class[6].ticked = true
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = false
			EasyDKP.class[9].ticked = true
			EasyDKP.class[10].ticked = false
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(false)
			EasyDKP.frame.button[4]:SetChecked(true)
			EasyDKP.frame.button[5]:SetChecked(false)
			EasyDKP.frame.button[6]:SetChecked(true)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(false)
			EasyDKP.frame.button[9]:SetChecked(true)
			EasyDKP.frame.button[10]:SetChecked(false)
		end )
	self.frame.leatherbutton = CreateFrame("Button", "EasyDKPOptionsFrameLeather", self.frame, "OptionsButtonTemplate")
	self.frame.leatherbutton:SetHeight(20)
	self.frame.leatherbutton:SetWidth(80)
	self.frame.leatherbutton:SetPoint("TOPLEFT", 110, -170)
	self.frame.leatherbutton:SetText("Leather")
	self.frame.leatherbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = true
			EasyDKP.class[3].ticked = false
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = false
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = true
			EasyDKP.class[8].ticked = false
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = false
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(true)
			EasyDKP.frame.button[3]:SetChecked(false)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(false)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(true)
			EasyDKP.frame.button[8]:SetChecked(false)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(false)
		end )
	self.frame.mailbutton = CreateFrame("Button", "EasyDKPOptionsFrameMail", self.frame, "OptionsButtonTemplate")
	self.frame.mailbutton:SetHeight(20)
	self.frame.mailbutton:SetWidth(80)
	self.frame.mailbutton:SetPoint("TOPLEFT", 195, -170)
	self.frame.mailbutton:SetText("Mail")
	self.frame.mailbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = false
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = true
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = false
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(false)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(true)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(false)
		end )
	self.frame.platebutton = CreateFrame("Button", "EasyDKPOptionsFramePlate", self.frame, "OptionsButtonTemplate")
	self.frame.platebutton:SetHeight(20)
	self.frame.platebutton:SetWidth(80)
	self.frame.platebutton:SetPoint("TOPLEFT", 280, -170)
	self.frame.platebutton:SetText("Plate")
	self.frame.platebutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = true
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = false
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = true
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = false
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(true)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(false)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(true)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(false)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
		
	self.frame.daggerbutton = CreateFrame("Button", "EasyDKPOptionsFrameDagger", self.frame, "OptionsButtonTemplate")
	self.frame.daggerbutton:SetHeight(20)
	self.frame.daggerbutton:SetWidth(80)
	self.frame.daggerbutton:SetPoint("TOPLEFT", 25, -210)
	self.frame.daggerbutton:SetText("Dagger")
	self.frame.daggerbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = true
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = true
			EasyDKP.class[5].ticked = false
			EasyDKP.class[6].ticked = true
			EasyDKP.class[7].ticked = true
			EasyDKP.class[8].ticked = true
			EasyDKP.class[9].ticked = true
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(true)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(true)
			EasyDKP.frame.button[5]:SetChecked(false)
			EasyDKP.frame.button[6]:SetChecked(true)
			EasyDKP.frame.button[7]:SetChecked(true)
			EasyDKP.frame.button[8]:SetChecked(true)
			EasyDKP.frame.button[9]:SetChecked(true)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.fistbutton = CreateFrame("Button", "EasyDKPOptionsFrameFist", self.frame, "OptionsButtonTemplate")
	self.frame.fistbutton:SetHeight(20)
	self.frame.fistbutton:SetWidth(80)
	self.frame.fistbutton:SetPoint("TOPLEFT", 110, -210)
	self.frame.fistbutton:SetText("Fist")
	self.frame.fistbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = true
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = false
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = true
			EasyDKP.class[8].ticked = true
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(true)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(false)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(true)
			EasyDKP.frame.button[8]:SetChecked(true)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.staffbutton = CreateFrame("Button", "EasyDKPOptionsFrameStaff", self.frame, "OptionsButtonTemplate")
	self.frame.staffbutton:SetHeight(20)
	self.frame.staffbutton:SetWidth(80)
	self.frame.staffbutton:SetPoint("TOPLEFT", 195, -210)
	self.frame.staffbutton:SetText("Staff")
	self.frame.staffbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = true
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = true
			EasyDKP.class[5].ticked = false
			EasyDKP.class[6].ticked = true
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = true
			EasyDKP.class[9].ticked = true
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(true)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(true)
			EasyDKP.frame.button[5]:SetChecked(false)
			EasyDKP.frame.button[6]:SetChecked(true)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(true)
			EasyDKP.frame.button[9]:SetChecked(true)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.Polearmbutton = CreateFrame("Button", "EasyDKPOptionsFramePolearm", self.frame, "OptionsButtonTemplate")
	self.frame.Polearmbutton:SetHeight(20)
	self.frame.Polearmbutton:SetWidth(80)
	self.frame.Polearmbutton:SetPoint("TOPLEFT", 280, -210)
	self.frame.Polearmbutton:SetText("Polearm")
	self.frame.Polearmbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = true
			EasyDKP.class[2].ticked = true
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = true
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = false
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(true)
			EasyDKP.frame.button[2]:SetChecked(true)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(true)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(false)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.axe1hbutton = CreateFrame("Button", "EasyDKPOptionsFrame1hAxe", self.frame, "OptionsButtonTemplate")
	self.frame.axe1hbutton:SetHeight(20)
	self.frame.axe1hbutton:SetWidth(80)
	self.frame.axe1hbutton:SetPoint("TOPLEFT", 25, -240)
	self.frame.axe1hbutton:SetText("1H Axe")
	self.frame.axe1hbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = true
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = true
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = true
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(true)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(true)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(true)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.mace1hbutton = CreateFrame("Button", "EasyDKPOptionsFrame1hMace", self.frame, "OptionsButtonTemplate")
	self.frame.mace1hbutton:SetHeight(20)
	self.frame.mace1hbutton:SetWidth(80)
	self.frame.mace1hbutton:SetPoint("TOPLEFT", 110, -240)
	self.frame.mace1hbutton:SetText("1H Mace")
	self.frame.mace1hbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = true
			EasyDKP.class[3].ticked = false
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = true
			EasyDKP.class[6].ticked = true
			EasyDKP.class[7].ticked = true
			EasyDKP.class[8].ticked = true
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(true)
			EasyDKP.frame.button[3]:SetChecked(false)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(true)
			EasyDKP.frame.button[6]:SetChecked(true)
			EasyDKP.frame.button[7]:SetChecked(true)
			EasyDKP.frame.button[8]:SetChecked(true)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.sword1hbutton = CreateFrame("Button", "EasyDKPOptionsFrame1hSword", self.frame, "OptionsButtonTemplate")
	self.frame.sword1hbutton:SetHeight(20)
	self.frame.sword1hbutton:SetWidth(80)
	self.frame.sword1hbutton:SetPoint("TOPLEFT", 195, -240)
	self.frame.sword1hbutton:SetText("1H Sword")
	self.frame.sword1hbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = true
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = true
			EasyDKP.class[5].ticked = true
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = true
			EasyDKP.class[8].ticked = false
			EasyDKP.class[9].ticked = true
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(true)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(true)
			EasyDKP.frame.button[5]:SetChecked(true)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(true)
			EasyDKP.frame.button[8]:SetChecked(false)
			EasyDKP.frame.button[9]:SetChecked(true)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.rangedbutton = CreateFrame("Button", "EasyDKPOptionsFrameRanged", self.frame, "OptionsButtonTemplate")
	self.frame.rangedbutton:SetHeight(20)
	self.frame.rangedbutton:SetWidth(80)
	self.frame.rangedbutton:SetPoint("TOPLEFT", 280, -240)
	self.frame.rangedbutton:SetText("Ranged")
	self.frame.rangedbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = false
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = true
			EasyDKP.class[8].ticked = false
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(false)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(true)
			EasyDKP.frame.button[8]:SetChecked(false)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.axe2hbutton = CreateFrame("Button", "EasyDKPOptionsFrame2hAxe", self.frame, "OptionsButtonTemplate")
	self.frame.axe2hbutton:SetHeight(20)
	self.frame.axe2hbutton:SetWidth(80)
	self.frame.axe2hbutton:SetPoint("TOPLEFT", 25, -270)
	self.frame.axe2hbutton:SetText("2H Axe")
	self.frame.axe2hbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = true
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = true
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = true
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(true)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(true)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(true)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.mace2hbutton = CreateFrame("Button", "EasyDKPOptionsFrame2hMace", self.frame, "OptionsButtonTemplate")
	self.frame.mace2hbutton:SetHeight(20)
	self.frame.mace2hbutton:SetWidth(80)
	self.frame.mace2hbutton:SetPoint("TOPLEFT", 110, -270)
	self.frame.mace2hbutton:SetText("2H Mace")
	self.frame.mace2hbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = true
			EasyDKP.class[3].ticked = false
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = true
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = true
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(true)
			EasyDKP.frame.button[3]:SetChecked(false)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(true)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(true)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.sword2hbutton = CreateFrame("Button", "EasyDKPOptionsFrame2hSword", self.frame, "OptionsButtonTemplate")
	self.frame.sword2hbutton:SetHeight(20)
	self.frame.sword2hbutton:SetWidth(80)
	self.frame.sword2hbutton:SetPoint("TOPLEFT", 195, -270)
	self.frame.sword2hbutton:SetText("2H Sword")
	self.frame.sword2hbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = true
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = true
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = true
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = false
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = true
			EasyDKP.frame.button[1]:SetChecked(true)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(true)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(true)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(false)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(true)
		end )
	self.frame.wandbutton = CreateFrame("Button", "EasyDKPOptionsFrameWand", self.frame, "OptionsButtonTemplate")
	self.frame.wandbutton:SetHeight(20)
	self.frame.wandbutton:SetWidth(80)
	self.frame.wandbutton:SetPoint("TOPLEFT", 280, -270)
	self.frame.wandbutton:SetText("Wand")
	self.frame.wandbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = false
			EasyDKP.class[4].ticked = true
			EasyDKP.class[5].ticked = false
			EasyDKP.class[6].ticked = true
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = false
			EasyDKP.class[9].ticked = true
			EasyDKP.class[10].ticked = false
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(false)
			EasyDKP.frame.button[4]:SetChecked(true)
			EasyDKP.frame.button[5]:SetChecked(false)
			EasyDKP.frame.button[6]:SetChecked(true)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(false)
			EasyDKP.frame.button[9]:SetChecked(true)
			EasyDKP.frame.button[10]:SetChecked(false)
		end )

	self.frame.clearbutton = CreateFrame("Button", "EasyDKPOptionsFrameClear", self.frame, "OptionsButtonTemplate")
	self.frame.clearbutton:SetHeight(20)
	self.frame.clearbutton:SetWidth(100)
	self.frame.clearbutton:SetPoint("BOTTOMRIGHT", -260, 55)
	self.frame.clearbutton:SetText("Clear All")
	self.frame.clearbutton:SetScript("OnClick", 
		function() 
			EasyDKP.class[1].ticked = false
			EasyDKP.class[2].ticked = false
			EasyDKP.class[3].ticked = false
			EasyDKP.class[4].ticked = false
			EasyDKP.class[5].ticked = false
			EasyDKP.class[6].ticked = false
			EasyDKP.class[7].ticked = false
			EasyDKP.class[8].ticked = false
			EasyDKP.class[9].ticked = false
			EasyDKP.class[10].ticked = false
			EasyDKP.frame.button[1]:SetChecked(false)
			EasyDKP.frame.button[2]:SetChecked(false)
			EasyDKP.frame.button[3]:SetChecked(false)
			EasyDKP.frame.button[4]:SetChecked(false)
			EasyDKP.frame.button[5]:SetChecked(false)
			EasyDKP.frame.button[6]:SetChecked(false)
			EasyDKP.frame.button[7]:SetChecked(false)
			EasyDKP.frame.button[8]:SetChecked(false)
			EasyDKP.frame.button[9]:SetChecked(false)
			EasyDKP.frame.button[10]:SetChecked(false)
		end )
	
	self.frame.alldkpbutton = CreateFrame("Button", "EasyDKPOptionsFrameShowDKP", self.frame, "OptionsButtonTemplate")
	self.frame.alldkpbutton:SetHeight(20)
	self.frame.alldkpbutton:SetWidth(100)
	self.frame.alldkpbutton:SetPoint("BOTTOMRIGHT", -260, 20)
	self.frame.alldkpbutton:SetText("All DKP")
	self.frame.alldkpbutton:SetScript("OnClick", function() EasyDKP:ListOptions(false) self.frame:Hide() end )
	self.frame.raiddkpbutton = CreateFrame("Button", "EasyDKPOptionsFrameShowDKP", self.frame, "OptionsButtonTemplate")
	self.frame.raiddkpbutton:SetHeight(20)
	self.frame.raiddkpbutton:SetWidth(100)
	self.frame.raiddkpbutton:SetPoint("BOTTOMRIGHT", -140, 20)
	self.frame.raiddkpbutton:SetText("Raid DKP")
	self.frame.raiddkpbutton:SetScript("OnClick", function() EasyDKP:ListOptions(true) self.frame:Hide() end )
	self.frame.closebutton = CreateFrame("Button", "EasyDKPOptionsFrameClose", self.frame, "OptionsButtonTemplate")
	self.frame.closebutton:SetHeight(20)
	self.frame.closebutton:SetWidth(100)
	self.frame.closebutton:SetPoint("BOTTOMRIGHT", -20, 20)
	self.frame.closebutton:SetText("Close")
	self.frame.closebutton:SetScript("OnClick", function() EasyDKP.frame:Hide() end )
	
	self.frame.chatoutput = CreateFrame("Frame", "EasyDKPOptionsFrameDropDownMenu", self.frame, "UIDropDownMenuTemplate")
	self.frame.chatoutput:SetPoint("BOTTOMRIGHT", -5, 45)
	if not self.frame.chatoutput.text then
		self.frame.chatoutput.text = self.frame.chatoutput:CreateFontString(nil, "OVERLAY")
	end
	self.frame.chatoutput.text:SetTextColor(1,1,1,1)
	self.frame.chatoutput.text:SetFont("Fonts\\FRIZQT__.TTF", 12, "none")
	self.frame.chatoutput.text:SetPoint("TOP", self.frame.chatoutput, "TOP", -115, -7)
	self.frame.chatoutput.text:SetText(L["Send output to"])
	
	UIDropDownMenu_Initialize(self.frame.chatoutput, 
		function(self)
			EasyDKP:InitialiseChatOutput();
		end)
	UIDropDownMenu_SetSelectedValue(self.frame.chatoutput, self.db.profile.chatoutput)
	UIDropDownMenu_SetWidth(self.frame.chatoutput, 85)
    self.frame:Hide()
end

function EasyDKP:CreateButton(id)
	local a = math.floor((id - 1) / 3)
	local x = math.fmod((id-1), 3) * 125 + 20
	local y = - 30 * a - 40
	local button = CreateFrame("CheckButton", "EasyDKPOptionsFrameButton"..id, self.frame, "OptionsCheckButtonTemplate")
	button:SetPoint("TOPLEFT", x, y)
	getglobal("EasyDKPOptionsFrameButton"..id.."Text"):SetText(self.class[id].name)
	button.id = id
	button:SetScript("OnClick", 
		function() 
			EasyDKP.class[button.id].ticked = not EasyDKP.class[button.id].ticked 
			button:SetChecked(EasyDKP.class[button.id].ticked)
		end )
	return button
end

function EasyDKP:InitialiseChatOutput()
	if EasyDKP.db.profile.debug then
		EasyDKP:Print("Initialised Chat output")
	end
	local info = UIDropDownMenu_CreateInfo()

	info.text		= "Self"
	info.value		= "SELF"
	info.func		= EasyDKP.DropDownMenuItem_OnClick
	info.checked    = false
	UIDropDownMenu_AddButton(info, 1)

	info.text		= "Raid"
	info.value		= "RAID"
	info.func		= EasyDKP.DropDownMenuItem_OnClick
	info.checked    = false
	UIDropDownMenu_AddButton(info, 1) 

	info.text		= "Party"
	info.value		= "PARTY"
	info.func		= EasyDKP.DropDownMenuItem_OnClick
	info.checked    = false
	UIDropDownMenu_AddButton(info, 1)

	info.text		= "Guild"
	info.value		= "GUILD"
	info.func		= EasyDKP.DropDownMenuItem_OnClick
	info.checked    = false
	UIDropDownMenu_AddButton(info, 1)

	info.text		= "Officer"
	info.value		= "OFFICER"
	info.func		= EasyDKP.DropDownMenuItem_OnClick
	info.checked    = false
	UIDropDownMenu_AddButton(info, 1)
	
end	

function EasyDKP.DropDownMenuItem_OnClick()
	UIDropDownMenu_SetSelectedValue(EasyDKP.frame.chatoutput, this.value)
	EasyDKP.db.profile.chatoutput = this.value
	if EasyDKP.db.profile.debug then
		EasyDKP:Print("chatoutput set to "..this.value)
	end
end
